Mail Index


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [ApacheGallery] Apachegallery on debian testing



On Mon, Aug 08, 2005 at 01:12:11PM -0400, Jon Hart wrote:
> It was brought to my attention this past weekend that my gallery is
> broken, and apparently has been that way for some time.  Looks like
> a debian upgrade sometime in the past N months bit me.
> 
> The problem is the same that others have reported on other mailing
> lists:
> 
> libapache-gallery-perl 0.99-svn050524-1
> apache2 2.0.54-4
> apache2-common 2.0.54-4
> apache2-utils 2.0.54-4
> libapache2-mod-perl2 1.999.21-1

The problem is a bad dependency on libapache2-mod-perl2, since it should have
a versioned dependency. My bad. The line says:

Depends: perl (>= 5.6.0-16), libapache-request-perl | libapache2-mod-perl2

Where it should have 

Depends: ... libapache2-mod-perl2 (>= 2.0)

Changing the dependency at this moment would not help much, since the package
will not enter testing until all the dependencies are satisfied in testing. I
will help in the future, though, and i will change for that, but now you have
to pull libapache2-mod-perl2 from sid and compile it for sarge.

It seems it might make to testing in the following 2 days, but we have to
wait.

-- 
Jesus Climent                                      info:www.pumuki.org
Unix SysAdm|Linux User #66350|Debian Developer|2.6.12|Helsinki Finland
GPG: 1024D/86946D69 BB64 2339 1CAA 7064 E429  7E18 66FC 1D7F 8694 6D69

What is "real"? How do you define "real"?
		--Morpheus (The Matrix)
_______________________________________________
users mailing list
[email protected]
http://ufo.hestdesign.com/cgi-bin/mailman/listinfo/agusers